// REVISION    : $Revision: 1.7 $
//                   MENTOR Proprietary and Confidential
//                       Copyright (c) 2002, MENTOR
`timescale 1ps/1ps
module
CoreTSE_M2S090_CORETSE_AHB_0_AMCXFIF_HST
#
(
parameter
FAMILY
=
19
,
parameter
TABITS
=
12
,
parameter
RABITS
=
12
,
parameter
CORETSEi00i
=
32
,
parameter
CORETSEO10i
=
$clog2
(
CORETSEi00i
/
8
)
)
(
CORETSEl1i0
,
CORETSEo1i0
,
CORETSEi1i0
,
CORETSEOoi0
,
CORETSEooi0
,
CORETSEioi0
,
CORETSEOOoi
,
CORETSEIOoi
,
CORETSElOoi
,
CORETSEoOoi
,
CORETSEiOoi
,
CORETSEOIoi
,
CORETSEIIoi
,
CORETSElIoi
,
CORETSEoIoi
,
CORETSEiIoi
,
CORETSEOloi
,
CORETSEIloi
,
CORETSElloi
,
CORETSEoloi
,
CORETSEi0oi
,
CORETSEO1oi
,
CORETSEI1oi
,
CORETSEiloi
,
CORETSEO0oi
,
CORETSEI0oi
,
CORETSEl0oi
,
CORETSEo0oi
,
CORETSEl1oi
,
CORETSEo1oi
,
CORETSEi1oi
,
CORETSEOooi
,
CORETSEIooi
,
CORETSElooi
,
CORETSEoooi
,
CORETSEiooi
,
CORETSEOioi
,
CORETSEIioi
,
CORETSElioi
,
CORETSEoioi
,
CORETSEiioi
,
CORETSEOOii
,
CORETSEIOii
,
CORETSElOii
,
CORETSEoOii
,
CORETSEiOii
,
CORETSEOIii
,
CORETSEIIii
,
CORETSElIii
,
CORETSEoIii
,
CORETSEiIii
,
CORETSEOlii
,
CORETSEOOO1
,
CORETSEIOO1
)
;
input
CORETSEl1i0
;
input
CORETSEo1i0
;
input
CORETSEi1i0
;
input
CORETSEOoi0
;
input
[
7
:
0
]
CORETSEooi0
;
input
[
31
:
0
]
CORETSEioi0
;
input
CORETSEOOoi
;
input
CORETSEIOoi
;
input
CORETSElOoi
;
input
CORETSEoOoi
;
input
CORETSEiOoi
;
input
CORETSEOIoi
;
input
CORETSEIIoi
;
input
[
TABITS
:
0
]
CORETSElIoi
;
input
CORETSEoIoi
;
input
[
(
CORETSEi00i
+
CORETSEO10i
+
6
)
-
1
:
0
]
CORETSEiIoi
;
input
CORETSEOloi
;
input
[
RABITS
:
0
]
CORETSEIloi
;
input
CORETSElloi
;
input
[
(
CORETSEi00i
+
CORETSEO10i
+
6
)
-
1
:
0
]
CORETSEoloi
;
output
[
TABITS
:
0
]
CORETSEi0oi
;
output
[
TABITS
:
0
]
CORETSEO1oi
;
output
[
RABITS
-
1
:
0
]
CORETSEI1oi
;
output
[
15
:
0
]
CORETSEiloi
;
output
[
RABITS
:
0
]
CORETSEO0oi
;
output
[
RABITS
:
0
]
CORETSEI0oi
;
output
CORETSEl0oi
;
output
CORETSEo0oi
;
output
[
17
:
0
]
CORETSEl1oi
;
output
[
17
:
0
]
CORETSEo1oi
;
output
CORETSEi1oi
;
output
CORETSEOooi
;
output
CORETSEIooi
;
output
CORETSElooi
;
output
CORETSEoooi
;
output
CORETSEiooi
;
output
CORETSEOioi
;
output
CORETSEIioi
;
output
CORETSElioi
;
output
CORETSEoioi
;
output
CORETSEiioi
;
output
CORETSEOOii
;
output
[
(
TABITS
+
1
)
:
0
]
CORETSEIOii
;
output
CORETSElOii
;
output
[
(
CORETSEi00i
+
CORETSEO10i
+
6
)
-
1
:
0
]
CORETSEoOii
;
output
[
(
TABITS
+
1
)
:
0
]
CORETSEiOii
;
output
CORETSEOIii
;
output
[
(
RABITS
+
1
)
:
0
]
CORETSEIIii
;
output
CORETSElIii
;
output
[
(
CORETSEi00i
+
CORETSEO10i
+
6
)
-
1
:
0
]
CORETSEoIii
;
output
[
(
RABITS
+
1
)
:
0
]
CORETSEiIii
;
output
CORETSEOlii
;
output
[
31
:
0
]
CORETSEOOO1
;
output
CORETSEIOO1
;
reg
[
TABITS
:
0
]
CORETSEi0oi
;
reg
[
TABITS
:
0
]
CORETSEO1oi
;
reg
[
RABITS
-
1
:
0
]
CORETSEI1oi
;
reg
[
15
:
0
]
CORETSEiloi
;
reg
[
RABITS
:
0
]
CORETSEO0oi
;
reg
[
RABITS
:
0
]
CORETSEI0oi
;
reg
CORETSEl0oi
;
reg
CORETSEo0oi
;
reg
[
17
:
0
]
CORETSEl1oi
;
reg
[
17
:
0
]
CORETSEo1oi
;
reg
CORETSEi1oi
;
reg
CORETSEOooi
;
reg
CORETSEIooi
;
reg
CORETSElooi
;
reg
CORETSEoooi
;
reg
CORETSEiooi
;
reg
CORETSEOioi
;
reg
CORETSEIioi
;
reg
CORETSElioi
;
reg
CORETSEoioi
;
reg
CORETSEiioi
;
reg
CORETSEOOii
;
reg
[
(
TABITS
+
1
)
:
0
]
CORETSEIOii
;
reg
CORETSElOii
;
reg
[
(
CORETSEi00i
+
CORETSEO10i
+
6
)
-
1
:
0
]
CORETSEoOii
;
reg
[
(
TABITS
+
1
)
:
0
]
CORETSEiOii
;
reg
CORETSEOIii
;
reg
[
(
RABITS
+
1
)
:
0
]
CORETSEIIii
;
reg
CORETSElIii
;
reg
[
(
CORETSEi00i
+
CORETSEO10i
+
6
)
-
1
:
0
]
CORETSEoIii
;
reg
[
(
RABITS
+
1
)
:
0
]
CORETSEiIii
;
reg
CORETSEOlii
;
wire
[
31
:
0
]
CORETSEOOO1
;
wire
CORETSEIOO1
;
parameter
CORETSEOII
=
1
;
parameter
CORETSEiiii
=
{
(
TABITS
+
2
)
{
1
'b
0
}
}
;
parameter
CORETSEOOOOI
=
{
(
15
-
TABITS
)
{
1
'b
0
}
}
;
parameter
CORETSEIOOOI
=
{
(
30
-
TABITS
)
{
1
'b
0
}
}
;
parameter
CORETSElOOOI
=
{
(
TABITS
+
1
)
{
1
'b
1
}
}
;
parameter
CORETSEoOOOI
=
{
(
RABITS
)
{
1
'b
1
}
}
;
parameter
CORETSEiOOOI
=
{
(
RABITS
+
2
)
{
1
'b
0
}
}
;
parameter
CORETSEOIOOI
=
{
(
16
-
RABITS
)
{
1
'b
0
}
}
;
parameter
CORETSEIIOOI
=
{
(
15
-
RABITS
)
{
1
'b
0
}
}
;
parameter
CORETSElIOOI
=
{
(
30
-
RABITS
)
{
1
'b
0
}
}
;
parameter
CORETSEoIOOI
=
{
(
RABITS
+
1
)
{
1
'b
1
}
}
;
parameter
CORETSEiIOOI
=
{
(
RABITS
+
1
)
{
1
'b
1
}
}
;
parameter
CORETSEOlOOI
=
{
(
TABITS
+
1
)
{
1
'b
1
}
}
;
wire
CORETSEIlOOI
;
wire
CORETSEllOOI
;
wire
CORETSEolOOI
;
wire
CORETSEilOOI
;
wire
CORETSEO0OOI
;
wire
CORETSEI0OOI
;
wire
CORETSEl0OOI
;
wire
CORETSEo0OOI
;
wire
CORETSEi0OOI
;
wire
CORETSEO1OOI
;
wire
CORETSEI1OOI
;
wire
CORETSEl1OOI
;
wire
CORETSEo1OOI
;
wire
CORETSEi1OOI
;
wire
CORETSEOoOOI
;
wire
CORETSEIoOOI
;
wire
CORETSEloOOI
;
wire
CORETSEooOOI
;
wire
CORETSEioOOI
;
wire
CORETSEOiOOI
;
wire
CORETSEIiOOI
;
wire
CORETSEliOOI
;
wire
CORETSEoiOOI
;
wire
CORETSEiiOOI
;
wire
CORETSEOOIOI
;
wire
CORETSEIOIOI
;
wire
CORETSElOIOI
;
wire
CORETSEoOIOI
;
wire
CORETSEiOIOI
;
wire
CORETSEOIIOI
;
wire
CORETSEIIIOI
;
wire
CORETSElIIOI
;
wire
[
31
:
0
]
CORETSEoIIOI
;
wire
CORETSElo1
;
wire
CORETSEoo1
;
assign
CORETSElo1
=
(
FAMILY
==
25
)
?
1
'b
0
:
CORETSEl1i0
;
assign
CORETSEoo1
=
(
FAMILY
==
25
)
?
CORETSEl1i0
:
1
'b
0
;
assign
CORETSEIlOOI
=
CORETSEooi0
==
8
'h
12
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSEIioi
,
CORETSElioi
,
CORETSEoioi
,
CORETSEiioi
,
CORETSEOOii
,
CORETSEIooi
,
CORETSElooi
,
CORETSEoooi
,
CORETSEiooi
,
CORETSEOioi
}
<=
#
CORETSEOII
{
5
'h
00
,
5
'h
1F
}
;
else
if
(
CORETSEIlOOI
)
{
CORETSEIioi
,
CORETSElioi
,
CORETSEoioi
,
CORETSEiioi
,
CORETSEOOii
,
CORETSEIooi
,
CORETSElooi
,
CORETSEoooi
,
CORETSEiooi
,
CORETSEOioi
}
<=
#
CORETSEOII
{
CORETSEioi0
[
12
:
8
]
,
CORETSEioi0
[
4
:
0
]
}
;
end
assign
CORETSEOoOOI
=
CORETSEooi0
==
8
'h
12
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEllOOI
=
CORETSEooi0
==
8
'h
13
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSEI1oi
,
CORETSEiloi
}
<=
#
CORETSEOII
{
CORETSEoOOOI
,
16
'h
FFFF
}
;
else
if
(
CORETSEllOOI
)
{
CORETSEI1oi
,
CORETSEiloi
}
<=
#
CORETSEOII
{
CORETSEioi0
[
(
RABITS
+
15
)
:
16
]
,
CORETSEioi0
[
15
:
0
]
}
;
end
assign
CORETSEIoOOI
=
CORETSEooi0
==
8
'h
13
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEolOOI
=
CORETSEooi0
==
8
'h
14
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSEO0oi
,
CORETSEI0oi
}
<=
#
CORETSEOII
{
CORETSEoIOOI
,
CORETSEiIOOI
}
;
else
if
(
CORETSEolOOI
)
{
CORETSEO0oi
,
CORETSEI0oi
}
<=
#
CORETSEOII
{
CORETSEioi0
[
(
RABITS
+
16
)
:
16
]
,
CORETSEioi0
[
RABITS
:
0
]
}
;
end
assign
CORETSEloOOI
=
CORETSEooi0
==
8
'h
14
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEilOOI
=
CORETSEooi0
==
8
'h
15
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSEi0oi
,
CORETSEO1oi
}
<=
#
CORETSEOII
{
CORETSEOlOOI
,
CORETSElOOOI
}
;
else
if
(
CORETSEilOOI
)
{
CORETSEi0oi
,
CORETSEO1oi
}
<=
#
CORETSEOII
{
CORETSEioi0
[
(
TABITS
+
16
)
:
16
]
,
CORETSEioi0
[
TABITS
:
0
]
}
;
end
assign
CORETSEooOOI
=
CORETSEooi0
==
8
'h
15
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEO0OOI
=
CORETSEooi0
==
8
'h
16
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEl1oi
[
17
:
0
]
<=
#
CORETSEOII
18
'h
00008
;
else
if
(
CORETSEO0OOI
)
CORETSEl1oi
[
17
:
0
]
<=
#
CORETSEOII
CORETSEioi0
[
17
:
0
]
;
end
assign
CORETSEioOOI
=
CORETSEooi0
==
8
'h
16
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEI0OOI
=
CORETSEooi0
==
8
'h
17
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSEo0oi
,
CORETSEOooi
,
CORETSEl0oi
,
CORETSEi1oi
,
CORETSEo1oi
[
17
:
0
]
}
<=
#
CORETSEOII
22
'h
0B_FFF7
;
else
if
(
CORETSEI0OOI
)
{
CORETSEo0oi
,
CORETSEOooi
,
CORETSEl0oi
,
CORETSEi1oi
,
CORETSEo1oi
[
17
:
0
]
}
<=
#
CORETSEOII
{
CORETSEioi0
[
22
]
,
CORETSEioi0
[
20
:
0
]
}
;
end
assign
CORETSEOiOOI
=
CORETSEooi0
==
8
'h
17
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEl0OOI
=
CORETSEooi0
==
8
'h
18
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSElOii
,
CORETSEoOii
[
CORETSEi00i
+:
8
]
,
CORETSEIOii
}
<=
#
CORETSEOII
{
9
'h
0
,
CORETSEiiii
}
;
else
if
(
CORETSEl0OOI
)
{
CORETSElOii
,
CORETSEoOii
[
CORETSEi00i
+:
(
CORETSEO10i
+
6
)
]
,
CORETSEIOii
}
<=
#
CORETSEOII
{
CORETSEioi0
[
31
]
,
CORETSEioi0
[
16
+:
(
CORETSEO10i
+
6
)
]
,
CORETSEioi0
[
(
TABITS
+
1
)
:
0
]
}
;
end
assign
CORETSEIiOOI
=
CORETSEooi0
==
8
'h
18
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEo0OOI
=
CORETSEooi0
==
8
'h
19
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoOii
[
31
:
0
]
<=
#
CORETSEOII
32
'h
0
;
else
if
(
CORETSEo0OOI
)
CORETSEoOii
[
31
:
0
]
<=
#
CORETSEOII
CORETSEioi0
[
31
:
0
]
;
end
assign
CORETSEliOOI
=
CORETSEooi0
==
8
'h
19
&
CORETSEOoi0
&
~
CORETSEi1i0
;
generate
if
(
CORETSEi00i
==
64
)
begin
assign
CORETSEi0OOI
=
CORETSEooi0
==
8
'h
20
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoOii
[
63
:
32
]
<=
#
CORETSEOII
32
'h
0
;
else
if
(
CORETSEi0OOI
)
CORETSEoOii
[
63
:
32
]
<=
#
CORETSEOII
CORETSEioi0
[
31
:
0
]
;
end
assign
CORETSEoiOOI
=
CORETSEooi0
==
8
'h
20
&
CORETSEOoi0
&
~
CORETSEi1i0
;
end
else
begin
assign
CORETSEoiOOI
=
0
;
assign
CORETSEi0OOI
=
0
;
end
endgenerate
assign
CORETSEO1OOI
=
CORETSEooi0
==
8
'h
1a
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSEOIii
,
CORETSEiOii
}
<=
#
CORETSEOII
{
1
'b
0
,
CORETSEiiii
}
;
else
if
(
CORETSEO1OOI
)
{
CORETSEOIii
,
CORETSEiOii
}
<=
#
CORETSEOII
{
CORETSEioi0
[
31
]
,
CORETSEioi0
[
(
TABITS
+
1
)
:
0
]
}
;
end
assign
CORETSEiiOOI
=
CORETSEooi0
==
8
'h
1a
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEOOIOI
=
CORETSEooi0
==
8
'h
1B
&
CORETSEOoi0
&
~
CORETSEi1i0
;
generate
if
(
CORETSEi00i
==
64
)
assign
CORETSEIOIOI
=
CORETSEooi0
==
8
'h
21
&
CORETSEOoi0
&
~
CORETSEi1i0
;
else
assign
CORETSEIOIOI
=
0
;
endgenerate
assign
CORETSEI1OOI
=
CORETSEooi0
==
8
'h
1c
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSElIii
,
CORETSEoIii
[
CORETSEi00i
+:
(
CORETSEO10i
+
6
)
]
,
CORETSEIIii
}
<=
#
CORETSEOII
{
9
'h
0
,
CORETSEiOOOI
}
;
else
if
(
CORETSEI1OOI
)
{
CORETSElIii
,
CORETSEoIii
[
CORETSEi00i
+:
(
CORETSEO10i
+
6
)
]
,
CORETSEIIii
}
<=
#
CORETSEOII
{
CORETSEioi0
[
31
]
,
CORETSEioi0
[
16
+:
(
CORETSEO10i
+
6
)
]
,
CORETSEioi0
[
RABITS
+
1
:
0
]
}
;
end
assign
CORETSElOIOI
=
CORETSEooi0
==
8
'h
1c
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEl1OOI
=
CORETSEooi0
==
8
'h
1d
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoIii
[
31
:
0
]
<=
#
CORETSEOII
32
'h
0
;
else
if
(
CORETSEl1OOI
)
CORETSEoIii
[
31
:
0
]
<=
#
CORETSEOII
CORETSEioi0
[
31
:
0
]
;
end
assign
CORETSEoOIOI
=
CORETSEooi0
==
8
'h
1d
&
CORETSEOoi0
&
~
CORETSEi1i0
;
generate
if
(
CORETSEi00i
==
64
)
begin
assign
CORETSEo1OOI
=
CORETSEooi0
==
8
'h
22
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
CORETSEoIii
[
63
:
32
]
<=
#
CORETSEOII
32
'h
0
;
else
if
(
CORETSEo1OOI
)
CORETSEoIii
[
63
:
32
]
<=
#
CORETSEOII
CORETSEioi0
[
31
:
0
]
;
end
assign
CORETSEiOIOI
=
CORETSEooi0
==
8
'h
22
&
CORETSEOoi0
&
~
CORETSEi1i0
;
end
else
begin
assign
CORETSEiOIOI
=
0
;
assign
CORETSEiIIOI
=
0
;
end
endgenerate
assign
CORETSEi1OOI
=
CORETSEooi0
==
8
'h
1e
&
~
CORETSEOoi0
&
~
CORETSEi1i0
;
always
@
(
posedge
CORETSEo1i0
or
posedge
CORETSElo1
)
begin
if
(
CORETSElo1
||
CORETSEoo1
)
{
CORETSEOlii
,
CORETSEiIii
}
<=
#
CORETSEOII
{
1
'b
0
,
CORETSEiOOOI
}
;
else
if
(
CORETSEi1OOI
)
{
CORETSEOlii
,
CORETSEiIii
}
<=
#
CORETSEOII
{
CORETSEioi0
[
31
]
,
CORETSEioi0
[
RABITS
+
1
:
0
]
}
;
end
assign
CORETSEOIIOI
=
CORETSEooi0
==
8
'h
1e
&
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEIIIOI
=
CORETSEooi0
==
8
'h
1F
&
CORETSEOoi0
&
~
CORETSEi1i0
;
generate
if
(
CORETSEi00i
==
64
)
assign
CORETSElIIOI
=
CORETSEooi0
==
8
'h
23
&
CORETSEOoi0
&
~
CORETSEi1i0
;
else
assign
CORETSElIIOI
=
0
;
endgenerate
assign
CORETSEIOO1
=
CORETSEOoi0
&
~
CORETSEi1i0
;
assign
CORETSEOOO1
=
{
32
{
CORETSEOoOOI
}
}
&
{
11
'h
0
,
CORETSEOOoi
,
CORETSEIOoi
,
CORETSElOoi
,
CORETSEoOoi
,
CORETSEiOoi
,
3
'h
0
,
CORETSEIioi
,
CORETSElioi
,
CORETSEoioi
,
CORETSEiioi
,
CORETSEOOii
,
3
'h
0
,
CORETSEIooi
,
CORETSElooi
,
CORETSEoooi
,
CORETSEiooi
,
CORETSEOioi
}
|
{
32
{
CORETSEIoOOI
}
}
&
{
CORETSEOIOOI
,
CORETSEI1oi
,
CORETSEiloi
}
|
{
32
{
CORETSEloOOI
}
}
&
{
CORETSEIIOOI
,
CORETSEO0oi
,
CORETSEIIOOI
,
CORETSEI0oi
}
|
{
32
{
CORETSEooOOI
}
}
&
{
CORETSEOOOOI
,
CORETSEi0oi
,
CORETSEOOOOI
,
CORETSEO1oi
}
|
{
32
{
CORETSEioOOI
}
}
&
{
14
'h
0
,
CORETSEl1oi
}
|
{
32
{
CORETSEOiOOI
}
}
&
{
9
'h
0
,
CORETSEo0oi
,
CORETSEOIoi
,
CORETSEOooi
,
CORETSEl0oi
,
CORETSEi1oi
,
CORETSEo1oi
}
|
{
32
{
CORETSEIiOOI
}
}
&
{
CORETSElOii
,
CORETSEIIoi
,
6
'h
0
,
CORETSEoOii
[
CORETSEi00i
+:
(
CORETSEO10i
+
6
)
]
,
CORETSEOOOOI
,
CORETSElIoi
}
|
{
32
{
CORETSEliOOI
}
}
&
{
CORETSEoOii
[
31
:
0
]
}
|
{
32
{
CORETSEiiOOI
}
}
&
{
CORETSEOIii
,
CORETSEoIoi
,
6
'h
0
,
CORETSEiIoi
[
CORETSEi00i
+:
(
CORETSEO10i
+
6
)
]
,
16
'h
0000
}
|
{
32
{
CORETSEiiOOI
}
}
&
{
CORETSEIOOOI
,
CORETSEiOii
}
|
{
32
{
CORETSEOOIOI
}
}
&
{
CORETSEiIoi
[
31
:
0
]
}
|
{
32
{
CORETSElOIOI
}
}
&
{
CORETSElIii
,
CORETSEOloi
,
6
'h
0
,
CORETSEoIii
[
(
CORETSEi00i
)
+:
(
CORETSEO10i
+
6
)
]
,
CORETSEIIOOI
,
CORETSEIloi
}
|
{
32
{
CORETSEoOIOI
}
}
&
{
CORETSEoIii
[
31
:
0
]
}
|
{
32
{
CORETSEOIIOI
}
}
&
{
CORETSEOlii
,
CORETSElloi
,
6
'h
0
,
CORETSEoloi
[
CORETSEi00i
+:
(
CORETSEO10i
+
6
)
]
,
{
{
16
-
RABITS
}
{
1
'h
0
}
}
,
CORETSEiIii
}
|
{
32
{
CORETSEIIIOI
}
}
&
{
CORETSEoloi
[
31
:
0
]
}
|
CORETSEoIIOI
;
generate
if
(
CORETSEi00i
==
64
)
begin
assign
CORETSEoIIOI
=
{
32
{
CORETSEoiOOI
}
}
&
{
CORETSEoOii
[
63
:
32
]
}
|
{
32
{
CORETSEIOIOI
}
}
&
{
CORETSEiIoi
[
63
:
32
]
}
|
{
32
{
CORETSEiOIOI
}
}
&
{
CORETSEoIii
[
63
:
32
]
}
|
{
32
{
CORETSElIIOI
}
}
&
{
CORETSEoloi
[
63
:
32
]
}
;
end
else
assign
CORETSEoIIOI
=
32
'h
0
;
endgenerate
endmodule
